# Class SpecialDefault<T>

java.lang.Object
uk.ac.starlink.topcat.plot2.SpecialDefault<T>

public abstract class SpecialDefault<T> extends Object
Represents a configuration default that is sensitive to the table whose data it is plotting.

Since:
  29 May 2020
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final SpecialDefault<Integer>`
`SIZE`
Defaults marker size depending on table row count.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SpecialDefault(uk.ac.starlink.ttools.plot2.config.ConfigKey<T> key)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`abstract T`
`getDefaultValue(TopcatModel tcModel)`
Returns the default value to apply to this object's config item.
`uk.ac.starlink.ttools.plot2.config.ConfigKey<T>`
`getKey()`
Returns the config item for which this object operates.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SIZE

public static final SpecialDefault<Integer> SIZE
Defaults marker size depending on table row count.

## Constructor Details

### SpecialDefault

protected SpecialDefault(uk.ac.starlink.ttools.plot2.config.ConfigKey<T> key)
Constructor.

Parameters:
  `key` - config item for which this object operates

## Method Details

### getKey

public uk.ac.starlink.ttools.plot2.config.ConfigKey<T> getKey()
Returns the config item for which this object operates.

Returns:
  config key

### getDefaultValue

public abstract T getDefaultValue(TopcatModel tcModel)
Returns the default value to apply to this object's config item.

Parameters:
  `tcModel` - table
Returns:
  default value appropriate for the supplied table, or null if the normal default is appropriate